#ifndef __PRINTFMT_H__
#define __PRINTFMT_H__

#define F_ALIGN_LEFT         1
#define F_ALWAYS_SIGN        2
#define F_NEGATIVE           4
#define F_SPACE_IF_NOT_SIGN  8
#define F_FILL_ZERO         16
#define F_ALTERNATE         32  /*prepend 0x, 0X, 0b, or 0B, the char in upper byte */

#include <stdarg.h>
int PrintFmt(const char *fmt, __near va_list ap,
	     __near void *fp, int (*cf)(int, __near void *));

int PrintFmtAdd(char *src, int n, int w, unsigned short flags,
		int (*cf)(int, __near void *), __near void *fp);

#endif/*__PRINTFMT_H__*/
